import { Observable } from 'rxjs';
import { MonkeyEcxRequestDownloaded } from '../../interfaces';
import * as i0 from "@angular/core";
export declare class MonkeyEcxRequestDownloadedHandlingService {
    private downloaded;
    private downloaded$;
    constructor();
    private addTo;
    private markItemAsFinish;
    set(q: MonkeyEcxRequestDownloaded): void;
    get(): Observable<MonkeyEcxRequestDownloaded[]>;
    finishItem(q: MonkeyEcxRequestDownloaded, status?: number): void;
    hasDownloadOnGoing(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxRequestDownloadedHandlingService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MonkeyEcxRequestDownloadedHandlingService>;
}
